package edu.vub.at.android.util;

import android.app.Activity;

public interface IntConstants extends Constants {
	
	// Request code used by activities
	public static final String _ATPACKAGE_ =  "edu.vub.at.android.interpreter";
	
	// Key used for transporting the IATOptions between ATAndroid / IATSettings
	public static final String _INTENT_IAT_OPTIONS_ = _ATPACKAGE_ + ".Settings.iat_options";
	public static final String _INTENT_INPUT_       = _ATPACKAGE_ + ".ATAndroid.input";
	
	// Name of messages sent from outputAT to UI.
	public static final int _ANDROID_INPUT_  = 1;
	public static final int _ANDROID_OUTPUT_ = 2;
	public static final int _ANDROID_ERROR_  = 3;
	
	// Start path and return path for the filebrowser
	public static final String _INTENT_START_PATH_ = _ATPACKAGE_ + ".FileBrowser.start_path";
	public static final String _INTENT_PATH_       = _ATPACKAGE_ + ".FileBrowser.path";
	
	// Intents for creating new files or loading existing ones.
	public static final String _INTENT_NEW_FILE_   = _ATPACKAGE_ + ".FileBrowser.newFile";
	public static final String _INTENT_LOAD_FILE_  = _ATPACKAGE_ + ".ATAndroid.load_file";
	
	public static final String _PREFERENCE_OUTPUTTEXT_ = "outputText";
	
	public static final int _REQUEST_BROWSE_        = 1;
	public static final int _REQUEST_ATLIB_INSTALL_ = 2;
	public static final int _REQUEST_SETTINGS_      = 3;
	public static final int _REQUEST_OPEN_FILE_     = 4;	
	public static final int _REQUEST_SAVE_FILE_     = 5;	
	public static final int _REQUEST_ATANDROID_ 	= 6;
	public static final int _REQUEST_SELECT_INIT_PATH_   = 7;
	public static final int _REQUEST_SELECT_AT_HOME_     = 8;
	public static final int _REQUEST_SELECT_LOG_FILE_    = 9;
	public static final int _REQUEST_CLEAR_RECENT_FILES_ = 10;
	public static final int _REQUEST_CLEAR_TEMPORARY_FILES_ = 11;
	
	public static final String ATANDROID = "ATAndroid";

	
	// Result code for indicating ATAndroid terminated gracefully.
	public static final int _RESULT_EXIT_ = Activity.RESULT_FIRST_USER;
	
}
